Bug 130744 - A few typos in the HelixPlayer spec
A few typos in the HelixPlayer spec
Product: Fedora
Classification: Fedora
Component: HelixPlayer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Depends On:
  Show dependency treegraph
Reported: 2004-08-24 02:39 EDT by Ling Li
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.0.gold-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-14 15:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ling Li 2004-08-24 02:39:06 EDT
Package: HelixPlayer-1.0.gold-2 from rawhide

Problems with the .spec files:

1. typos. e.g., %{_datadir}/%{_libdir}/helix/share/
2. Missing files. e.g., README is needed for user agreement.
3. Redudent patches. e.g.
HelixPlayer-1.0.beta20040615-cvs-no-update.patch is not required since
-k is used with the build system

Fix: See my spec file at
http://apt.ling.li/rpms/HelixPlayer/HelixPlayer.spec which contains
fixes for the above problems as well as some other hacks for Red Hat 9
and Fedore Core 1. Note that it builds 'release' binary packages
instead of 'debug' ones.

Packages for RH9 and FC1/2 can be obtained at
http://apt.ling.li/rpms/HelixPlayer, as a verification of the spec file.
Comment 1 Colin Walters 2004-09-14 15:59:37 EDT
1,2) Thanks for the fixes, I've merged them into the Fedora spec file.
3) I tried -k and it didn't work.
Comment 2 Ling Li 2004-10-04 18:24:32 EDT
Just wondering why "gold" appears in the version number. I think it is
unnecessary and makes things troublesome---for example, you have to
bump the epoch for 1.0.1. Why not remove it from the version and
mention "gold" somewhere, say, in Summary?
Comment 3 Colin Walters 2004-10-04 20:11:34 EDT
I was just trying to track upstream's versioning.  I'll remove it for
the next upstream version.

Note You need to log in before you can comment on or make changes to this bug.